A list of port statistic Counter entries.
OID reference
swL2PortStTable
1.3.6.1.4.1.171.11.25.2.4.3
Description
A list of port statistic Counter entries.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.11.25.2.4 (swL2PortMgmt)
- Node code
- 3
- Node name
- swL2PortStTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.11.25.2.4.3
- URN notation
- urn:oid:1.3.6.1.4.1.171.11.25.2.4.3
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 11 25 2 4 3}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des3624Mgmt(25) swL2Mgmt(2) swL2PortMgmt(4) swL2PortStTable(3)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/11/25/2/4/3
- /ISO/Identified-Organization/6/1/4/1/171/11/25/2/4/3
- /ISO/3/6/1/4/1/171/11/25/2/4/3
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des3624Mgmt/swL2Mgmt/swL2PortMgmt/swL2PortStTable
- Additional combinations skipped.
SNMP properties
- Value type
- SEQUENCE OF SwL2PortStEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
swL2PortStTable OBJECT-TYPE
SYNTAX SEQUENCE OF SwL2PortStEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A list of port statistic Counter entries."
::= { swL2PortMgmt 3 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
swL2PortStTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: swL2PortStTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swL2PortStTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"SwL2PortStEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A list of port statistic Counter entries.\"",
"::=",
"{",
"swL2PortMgmt",
"3",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"SwL2PortStEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A list of port statistic Counter entries."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: MIB.zip
Module: SW-LAYER2-PORT-MANAGEMENT-MIB
See published definition above
· Download sl2port.mibModule imports
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.25.2.4.3.1 | swL2PortStEntry | 27 | 27 |
Siblings (2)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.25.2.4.1 | swL2PortInfoTable | 1 | 8 | |
| 1.3.6.1.4.1.171.11.25.2.4.2 | swL2PortCtrlTable | 1 | 15 |